Bug 178643 - PS/2 optical mouse not working during and after FC4 install
PS/2 optical mouse not working during and after FC4 install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 18:37 EST by Alejandro Jakubi
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/root/install.log.syslog (5.48 KB, text/plain)
2006-01-22 18:40 EST, Alejandro Jakubi
no flags Details
/etc/sysconfig/mouse (112 bytes, text/plain)
2006-01-22 18:41 EST, Alejandro Jakubi
no flags Details
/etc/X11/xorg.conf (2.75 KB, text/plain)
2006-01-22 18:42 EST, Alejandro Jakubi
no flags Details
/var/log/Xorg.0.log (41.81 KB, text/plain)
2006-01-22 18:43 EST, Alejandro Jakubi
no flags Details
/var/log/dmsg (15.22 KB, text/plain)
2006-01-22 18:44 EST, Alejandro Jakubi
no flags Details
/var/log/anaconda.log (13.74 KB, text/plain)
2006-01-22 18:45 EST, Alejandro Jakubi
no flags Details
/var/log/anaconda.syslog (32.32 KB, text/plain)
2006-01-22 18:46 EST, Alejandro Jakubi
no flags Details

  None (edit)
Description Alejandro Jakubi 2006-01-22 18:37:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
System with PS/2 keyboard and mouse.
Model: GE HO97986 PS/2 Optical Mouse with Scrollwheel.

During install mouse does not work in graphical mode. Anaconda identifies it
as "Generic 3 button mouse".  X starts, pointer icon is visible but not moved
by the mouse. At some point, not always the same, the light turns off. It does
not turn back on unless PS/2 is unplugged and replugged in.

Hence, I have installed FC4 in text mode.

The mouse does not work either in Fedora desktop.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC4 in graphic mode, or
2. run FC4 GUI
3.
  

Actual Results:  The mouse above does not work

Expected Results:  The mouse should work.

Additional info:

Hardware Browser reports this device as "ImEx PS/2 Generic Explorer Mouse"
Manfacturer: Unknown
Driver: generic3ps/2
Device: /dev/input/mice

Attached:
/root/install.log.syslog
/etc/sysconfig/mouse
/etc/X11/xorg.conf
/var/log/Xorg.0.log
/var/log/dmsg
/var/log/anaconda.log
/var/log/anaconda.syslog


No problem while using this mouse in Windows XP Pro SP2 (dual boot). It
identifies it as "Microsoft PS/2 Mouse".

Similar problem arises with Knoppix live CD when it scans for USB devices.
Comment 1 Alejandro Jakubi 2006-01-22 18:40:40 EST
Created attachment 123550 [details]
/root/install.log.syslog
Comment 2 Alejandro Jakubi 2006-01-22 18:41:37 EST
Created attachment 123551 [details]
/etc/sysconfig/mouse
Comment 3 Alejandro Jakubi 2006-01-22 18:42:41 EST
Created attachment 123552 [details]
/etc/X11/xorg.conf
Comment 4 Alejandro Jakubi 2006-01-22 18:43:50 EST
Created attachment 123553 [details]
/var/log/Xorg.0.log
Comment 5 Alejandro Jakubi 2006-01-22 18:44:38 EST
Created attachment 123554 [details]
/var/log/dmsg
Comment 6 Alejandro Jakubi 2006-01-22 18:45:27 EST
Created attachment 123555 [details]
/var/log/anaconda.log
Comment 7 Alejandro Jakubi 2006-01-22 18:46:21 EST
Created attachment 123556 [details]
/var/log/anaconda.syslog
Comment 8 Paul Nasrat 2006-01-23 17:34:46 EST
If you edit your xorg.conf and set Protocol to ExplorerPS/2 does it work?
Comment 9 Alejandro Jakubi 2006-01-23 19:01:33 EST
No. Ie I have replaced in xorg.conf the line:
	Option	    "Protocol" "IMPS/2" 
with the line
	Option	    "Protocol" "ExplorerPS/2" 

Then shut down, connected the mouse (so that light were on), booted FC4 and it
went off as soon as the kernel started. Hence, the mouse does not work.

And the Hardware Explorer entry is the same as before:  
"ImEx PS/2 Generic Explorer Mouse"
Comment 10 Dave Jones 2006-02-03 01:31:40 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 Alejandro Jakubi 2006-02-06 07:30:02 EST
This problem has not been solved by the kernel update 2.6.15-1.1830_FC4.
The light stays on along boot as long as no reflecting surface is close. When
approached, the light turns off, hence this mouse does not work.

Besides, I start in runlevel 3. This new kernel disrupts the NVidia X settings,
so that X does not start.
Comment 12 Dave Jones 2006-09-16 21:39:18 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 13 Dave Jones 2006-10-16 16:21:32 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 14 James B 2007-03-14 14:33:51 EDT
Using FC5 latest version (as of 14/3/07 2:28 EST) and my mouse is still not
working. I am using MS Virtual Machine 2004. My mouse was working earlier today
when I installed, but as soon as I upgraded my packages, my mouse stopped
working. The pointer is displayed but does not move.
Comment 15 Jon Stanley 2008-01-19 23:37:27 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.